diff --git mythtv/i18n/mythfrontend_es_es.ts mythtv/i18n/mythfrontend_es_es.ts
index 3931ca6..8c50117 100644
--- mythtv/i18n/mythfrontend_es_es.ts
+++ mythtv/i18n/mythfrontend_es_es.ts
@@ -19623,89 +19627,91 @@ Sin más detalles</translation>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="1209"/>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="1213"/>
         <source>failed</source>
-        <translation type="unfinished">falló</translation>
+        <translation>falló</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="1231"/>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="1274"/>
         <source>RAM</source>
-        <translation type="unfinished">RAM</translation>
+        <translation>RAM</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="1237"/>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="1282"/>
         <source>Swap</source>
-        <translation type="unfinished">Swap</translation>
+        <translation>Swap</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="1245"/>
         <source>MythTV server</source>
-        <translation type="unfinished">Servidor MythTV</translation>
+        <translation>Servidor MythTV</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="1315"/>
         <source>Total Disk Space:</source>
-        <translation type="unfinished"></translation>
+        <translation>Espacio Total de Disco:</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="1320"/>
         <source>MythTV Drive #%1:</source>
-        <translation type="unfinished"></translation>
+        <translation>Unidad #%1 de MythTV:</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="1327"/>
         <source>Directories:</source>
-        <translation type="unfinished"></translation>
+        <translation>Directorios:</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="1336"/>
         <source>Directory:</source>
-        <translation type="unfinished"></translation>
+        <translation>Directorio:</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/statusbox.cpp" line="1360"/>
         <source>The AutoExpire List shows all recordings which may be expired and the order of their expiration. Recordings at the top of the list will be expired first.</source>
-        <translation type="unfinished">La Lista de Autoexpiración muestra todas las grabaciones que expirarán y el orden de su expiración. Las grabaciones del principio expirarán primero.</translation>
+        <translation>La Lista de Autoexpiración muestra todas las grabaciones susceptibles de expiración y el orden de ésta. Las grabaciones del principio expirarán primero.</translation>
     </message>
     <message numerus="yes">
         <location filename="../programs/mythfrontend/statusbox.cpp" line="595"/>
         <source>%n day(s)</source>
-        <translation type="unfinished">
-            <numerusform></numerusform>
-            <numerusform></numerusform>
+        <translation>
+            <numerusform>%n día</numerusform>
+            <numerusform>%n días</numerusform>
         </translation>
     </message>
     <message numerus="yes">
         <location filename="../programs/mythfrontend/statusbox.cpp" line="629"/>
         <source>%n standard rule(s) (is) defined</source>
-        <translation type="unfinished">
-            <numerusform></numerusform>
-            <numerusform></numerusform>
+        <translation>
+            <numerusform>Definida %n regla estándar</numerusform>
+            <numerusform>Definidas %n reglas estándar</numerusform>
         </translation>
     </message>
     <message numerus="yes">
         <location filename="../programs/mythfrontend/statusbox.cpp" line="642"/>
         <source>%n search rule(s) are defined</source>
-        <translation type="unfinished">
-            <numerusform></numerusform>
-            <numerusform></numerusform>
+        <translation>
+            <numerusform>Definida %n regla de búsqueda</numerusform>
+            <numerusform>Definidas %n reglas de búsqueda</numerusform>
         </translation>
     </message>
     <message numerus="yes">
         <location filename="../programs/mythfrontend/statusbox.cpp" line="703"/>
         <source>%n matching showing(s)</source>
-        <translation type="unfinished">
-            <numerusform></numerusform>
-            <numerusform></numerusform>
+        <translation>
+            <numerusform>%n programa coincidente</numerusform>
+            <numerusform>%n programas coincidentes</numerusform>
         </translation>
     </message>
     <message numerus="yes">
         <location filename="../programs/mythfrontend/statusbox.cpp" line="1407"/>
         <source>%n recording(s) consuming %1 (is) allowed to expire
 </source>
-        <translation type="unfinished">
-            <numerusform></numerusform>
-            <numerusform></numerusform>
+        <translation>
+            <numerusform>Podrá expirar %n grabación que consume %1
+</numerusform>
+            <numerusform>Podrán expirar %n grabaciones que consumen %1
+</numerusform>
         </translation>
     </message>
 </context>
@@ -19714,12 +19720,12 @@ Sin más detalles</translation>
     <message>
         <location filename="../libs/libmyth/storagegroupeditor.cpp" line="71"/>
         <source>&apos;%1&apos; Storage Group Directories</source>
-        <translation>Directorios del Grupo de Almacenamiento Local %1</translation>
+        <translation>&apos;%1&apos; Directorios del Grupo de Almacenamiento</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/storagegroupeditor.cpp" line="75"/>
         <source>Local &apos;%1&apos; Storage Group Directories</source>
-        <translation type="unfinished"></translation>
+        <translation>&apos;%1&apos; Directorios Locales del Grupo de Almacenamiento</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/storagegroupeditor.cpp" line="91"/>
@@ -19730,7 +19736,7 @@ Sin más detalles</translation>
         <location filename="../libs/libmyth/storagegroupeditor.cpp" line="92"/>
         <location filename="../libs/libmyth/storagegroupeditor.cpp" line="117"/>
         <source>Enter directory name or press SELECT to enter text via the On Screen Keyboard</source>
-        <translation>Introduzca el nombre del directorio o pulse SELECT para introducir texto con el Teclado En Pantalla</translation>
+        <translation>Introduzca el nombre del directorio o pulse SELECT para introducir texto con el Teclado de Pantalla</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/storagegroupeditor.cpp" line="116"/>
@@ -19741,22 +19747,23 @@ Sin más detalles</translation>
         <location filename="../libs/libmyth/storagegroupeditor.cpp" line="156"/>
         <source>Remove &apos;%1&apos;
 Directory From Storage Group?</source>
-        <translation>¿Borrar Directorio &apos;%1&apos; del Grupo de Almacenamiento?</translation>
+        <translation>¿Eliminar el Directorio &apos;%1&apos;
+del Grupo de Almacenamiento?</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/storagegroupeditor.cpp" line="160"/>
         <source>Yes, remove directory</source>
-        <translation>Sí, borrar directorio</translation>
+        <translation>Sí, eliminar el directorio</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/storagegroupeditor.cpp" line="161"/>
         <source>No, Don&apos;t remove directory</source>
-        <translation>No, no borrar directorio</translation>
+        <translation>No, no eliminar el directorio</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/storagegroupeditor.cpp" line="218"/>
         <source>(Add New Directory)</source>
-        <translation>(Agregar Nuevo Directorio)</translation>
+        <translation>(Añadir Nuevo Directorio)</translation>
     </message>
 </context>
 <context>
@@ -19769,7 +19776,7 @@ Directory From Storage Group?</source>
     <message>
         <location filename="../libs/libmyth/storagegroupeditor.cpp" line="253"/>
         <source>Local Storage Groups (directories for new recordings)</source>
-        <translation>Grupos de Almacenamiento Locales (directorios para nuevas grabaciones)</translation>
+        <translation>Grupos Locales de Almacenamiento (directorios para nuevas grabaciones)</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/storagegroupeditor.cpp" line="273"/>
@@ -19779,32 +19786,32 @@ Directory From Storage Group?</source>
     <message>
         <location filename="../libs/libmyth/storagegroupeditor.cpp" line="274"/>
         <source>Enter group name or press SELECT to enter text via the On Screen Keyboard</source>
-        <translation>Introduzca el nombre del grupo o pulse SELECT para introducir texto con el Teclado En Pantalla</translation>
+        <translation>Introduzca el nombre del grupo o pulse SELECT para introducir texto con el Teclado de Pantalla</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/storagegroupeditor.cpp" line="303"/>
         <source>Delete &apos;%1&apos; Storage Group?</source>
-        <translation>Borrar Grupo de Almacenamiento &apos;%1&apos; ?</translation>
+        <translation>¿Eliminar el Grupo de Almacenamiento &apos;%1&apos;?</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/storagegroupeditor.cpp" line="308"/>
         <source>(from remote hosts)</source>
-        <translation>(desde equipos remotos)</translation>
+        <translation>(de los nodos remotos)</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/storagegroupeditor.cpp" line="312"/>
         <source>(from all hosts</source>
-        <translation>(desde todos los equipos</translation>
+        <translation>(de todos los nodos</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/storagegroupeditor.cpp" line="319"/>
         <source>Yes, delete group</source>
-        <translation>Sí, borrar grupo</translation>
+        <translation>Sí, eliminar el grupo</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/storagegroupeditor.cpp" line="320"/>
         <source>No, Don&apos;t delete group</source>
-        <translation>No, no borrar grupo</translation>
+        <translation>No, no eliminar el grupo</translation>
     </message>
     <message>
         <location filename="../libs/libmyth/storagegroupeditor.cpp" line="431"/>
@@ -19825,7 +19832,7 @@ Directory From Storage Group?</source>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="920"/>
         <source>Create a new recording group</source>
-        <translation>Crear un nuevo grupo de grabado</translation>
+        <translation>Crear un nuevo grupo de grabación</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="953"/>
@@ -19857,7 +19864,7 @@ Directory From Storage Group?</source>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="1063"/>
         <source>Create New Recording Group. Enter group name: </source>
-        <translation>Crear un Nuevo Grupo de Grabado. Introducir el nombre del grupo:</translation>
+        <translation>Crear un Nuevo Grupo de Grabación. Introducir el nombre del grupo:</translation>
     </message>
     <message>
         <source>LiveTV</source>
@@ -19866,17 +19873,17 @@ Directory From Storage Group?</source>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="1006"/>
         <source>Use &quot;%1&quot; playback group settings</source>
-        <translation>Usar ajustes de grupo de reproducción &quot;%1&quot;</translation>
+        <translation>Usar la configuración del grupo de reproducción &quot;%1&quot;</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="1029"/>
         <source>Don&apos;t record if this would exceed the max episodes</source>
-        <translation>No grabar si va a exceder el nº máximo de episodios</translation>
+        <translation>No grabar si va a superarse el número máximo de episodios</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/scheduleeditor.cpp" line="1032"/>
         <source>Delete oldest if this would exceed the max episodes</source>
-        <translation>Borrar el más viejo si este excede el nº máx de episodios</translation>
+        <translation>Eliminar el más antiguo si va a superarse el número máximo de episodios</translation>
     </message>
 </context>
 <context>
@@ -19889,7 +19896,7 @@ Directory From Storage Group?</source>
     <message>
         <location filename="../libs/libmythtv/tv_play.cpp" line="1478"/>
         <source>Let it record and go back to the Main Menu</source>
-        <translation>Dejar grabar y volver al menú principal</translation>
+        <translation>Dejar grabar y volver al Menú Principal</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/tv_play.cpp" line="1482"/>
@@ -19899,12 +19906,12 @@ Directory From Storage Group?</source>
     <message>
         <location filename="../libs/libmythtv/tv_play.cpp" line="11531"/>
         <source>Save this position and go to the menu</source>
-        <translation>Guardar esta posición y volver al menú</translation>
+        <translation>Guardar esta posición e ir al menú</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/tv_play.cpp" line="11533"/>
         <source>Do not save, just exit to the menu</source>
-        <translation>No guardar, salir al menú</translation>
+        <translation>No guardar, sólo salir al menú</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/tv_play.cpp" line="11544"/>
@@ -19914,7 +19921,7 @@ Directory From Storage Group?</source>
     <message>
         <location filename="../libs/libmythtv/tv_play.cpp" line="11541"/>
         <source>Delete this recording</source>
-        <translation>Borrar esta grabación</translation>
+        <translation>Eliminar esta grabación</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/tv_play.cpp" line="9997"/>
@@ -19946,7 +19953,7 @@ Directory From Storage Group?</source>
     <message>
         <location filename="../libs/libmythtv/tv_play.cpp" line="5474"/>
         <source>Paused</source>
-        <translation>Pausado</translation>
+        <translation>En Pausa</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/tv_play.cpp" line="6967"/>
@@ -19976,12 +19983,12 @@ Directory From Storage Group?</source>
     <message>
         <location filename="../libs/libmythtv/tv_play.cpp" line="5851"/>
         <source>Stopping Transcode</source>
-        <translation>Parar Recodificación</translation>
+        <translation>Detener Transcodificación</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/tv_play.cpp" line="5869"/>
         <source>Transcoding</source>
-        <translation>Recodificación</translation>
+        <translation>Transcodificación</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/tv_play.cpp" line="5585"/>
@@ -19998,13 +20005,13 @@ Directory From Storage Group?</source>
     <message>
         <location filename="../libs/libmythtv/tv_play.cpp" line="5584"/>
         <source>Rewind</source>
-        <translation>Atrás</translation>
+        <translation>Rebobinar</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/tv_play.cpp" line="4510"/>
         <location filename="../libs/libmythtv/tv_play.cpp" line="5597"/>
         <source>Skip Back</source>
-        <translation>Salto atrás</translation>
+        <translation>Salto Atrás</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/tv_play.cpp" line="5693"/>
@@ -20034,7 +20041,7 @@ Directory From Storage Group?</source>
     <message>
         <location filename="../libs/libmythtv/tv_play.cpp" line="6050"/>
         <source>Skip</source>
-        <translation>Salta</translation>
+        <translation>Saltar</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/tv_play.cpp" line="9074"/>
@@ -20044,7 +20051,7 @@ Directory From Storage Group?</source>
     <message>
         <location filename="../libs/libmythtv/tv_play.cpp" line="9077"/>
         <source>Continue Editing</source>
-        <translation>Continuar editando</translation>
+        <translation>Continuar Editando</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/tv_play.cpp" line="9078"/>
@@ -20066,17 +20073,17 @@ Directory From Storage Group?</source>
     <message>
         <location filename="../libs/libmythtv/tv_play.cpp" line="10985"/>
         <source>Auto-Expire OFF</source>
-        <translation>Auto-Expiración OFF</translation>
+        <translation>Auto-Expiración Desactivada</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/tv_play.cpp" line="10990"/>
         <source>Auto-Expire ON</source>
-        <translation>Auto-Expiración ON</translation>
+        <translation>Auto-Expiración Activada</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/tv_play.cpp" line="9584"/>
         <source>Zoom Mode ON</source>
-        <translation>Modo Zoom ON</translation>
+        <translation>Modo Ampliación Activado</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/tv_play.cpp" line="7950"/>
@@ -20096,7 +20103,7 @@ Directory From Storage Group?</source>
     <message>
         <location filename="../libs/libmythtv/tv_play.cpp" line="10841"/>
         <source>Program Guide</source>
-        <translation>Guía Programas</translation>
+        <translation>Guía de Programas</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/tv_play.cpp" line="10707"/>
@@ -20127,7 +20134,7 @@ Directory From Storage Group?</source>
         <location filename="../libs/libmythtv/tv_play.cpp" line="10340"/>
         <location filename="../libs/libmythtv/tv_play.cpp" line="10434"/>
         <source>Commercial Auto-Skip</source>
-        <translation>Salto automático de anuncios</translation>
+        <translation>Salto Automático de Anuncios</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/tv_play.cpp" line="10648"/>
@@ -20143,34 +20150,34 @@ Directory From Storage Group?</source>
         <location filename="../libs/libmythtv/tv_play.cpp" line="9988"/>
         <location filename="../libs/libmythtv/tv_play.cpp" line="10008"/>
         <source>Change Aspect Ratio</source>
-        <translation>Cambiar Relación Aspecto</translation>
+        <translation>Cambiar Relación de Aspecto</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/tv_play.cpp" line="9994"/>
         <source>Manual Zoom Mode</source>
-        <translation>Modo Zoom Manual</translation>
+        <translation>Modo Ampliación Manual</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/tv_play.cpp" line="10656"/>
         <source>Stop Transcoding</source>
-        <translation>Parar Recodificación</translation>
+        <translation>Detener Transcodificación</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/tv_play.cpp" line="10660"/>
         <location filename="../libs/libmythtv/tv_play.cpp" line="10669"/>
         <source>Begin Transcoding</source>
-        <translation>Empezar Recodificación</translation>
+        <translation>Iniciar Transcodificación</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/tv_play.cpp" line="3876"/>
         <location filename="../libs/libmythtv/tv_play.cpp" line="4506"/>
         <source>Jump to Beginning</source>
-        <translation>Saltar al Comienzo</translation>
+        <translation>Saltar al Inicio</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/tv_play.cpp" line="5862"/>
         <source>Try Again</source>
-        <translation>Intentar de nuevo</translation>
+        <translation>Intentar de Nuevo</translation>
     </message>
     <message>
         <source>Time Stretch %1X</source>
@@ -20876,7 +20883,7 @@ Directory From Storage Group?</source>
         <location filename="../libs/libmythtv/tv_play.cpp" line="10002"/>
         <location filename="../libs/libmythtv/tv_play.cpp" line="10074"/>
         <source>Advanced</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">Avanzada</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/tv_play.cpp" line="10048"/>
@@ -21204,22 +21211,22 @@ Directory From Storage Group?</source>
     <message>
         <location filename="../programs/mythfrontend/themechooser.cpp" line="143"/>
         <source>Loading Installed Themes</source>
-        <translation type="unfinished"></translation>
+        <translation>Cargando Temas Instalados</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/themechooser.cpp" line="218"/>
         <source>Refreshing Downloadable Themes Information</source>
-        <translation type="unfinished"></translation>
+        <translation>Refrescando Información de Temas Descargables</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/themechooser.cpp" line="230"/>
         <source>Extracting Downloadable Themes Information</source>
-        <translation type="unfinished"></translation>
+        <translation>Extrayendo Información de Temas Descargables</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/themechooser.cpp" line="248"/>
         <source>Loading Downloadable Themes</source>
-        <translation type="unfinished"></translation>
+        <translation>Cargando Temas Descargables</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/themechooser.cpp" line="427"/>
@@ -21229,17 +21236,17 @@ Directory From Storage Group?</source>
     <message>
         <location filename="../programs/mythfrontend/themechooser.cpp" line="448"/>
         <source>Hide Fullscreen Preview</source>
-        <translation>Ocultar Pantalla Completa</translation>
+        <translation>Ocultar Previsualización a Pantalla Completa</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/themechooser.cpp" line="451"/>
         <source>Show Fullscreen Preview</source>
-        <translation>Mostrar a Pantalla Completa</translation>
+        <translation>Mostrar Previsualización a Pantalla Completa</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/themechooser.cpp" line="455"/>
         <source>Refresh Downloadable Themes</source>
-        <translation type="unfinished"></translation>
+        <translation>Refrescar Temas Descargables</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/themechooser.cpp" line="465"/>
@@ -21249,42 +21256,42 @@ Directory From Storage Group?</source>
     <message>
         <location filename="../programs/mythfrontend/themechooser.cpp" line="471"/>
         <source>Delete Theme</source>
-        <translation>Borrar Tema</translation>
+        <translation>Eliminar Tema</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/themechooser.cpp" line="477"/>
         <source>Disable Theme Update Notifications</source>
-        <translation type="unfinished"></translation>
+        <translation>Desactivar Notificaciones de Actualización de Temas</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/themechooser.cpp" line="480"/>
         <source>Enable Theme Update Notifications</source>
-        <translation type="unfinished"></translation>
+        <translation>Activar Notificaciones de Actualización de Temas</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/themechooser.cpp" line="610"/>
         <source>Downloading %1 Theme</source>
-        <translation>Descargando Thema %1</translation>
+        <translation>Descargando el Tema %1</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/themechooser.cpp" line="744"/>
         <source>Copying %1 Theme Package</source>
-        <translation>Copiando Paquete de Tema %1</translation>
+        <translation>Copiando el Paquete del Tema %1</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/themechooser.cpp" line="753"/>
         <source>ERROR downloading theme package on master backend.</source>
-        <translation>ERROR descargando paquete de tema en backend maestro.</translation>
+        <translation>ERROR al descargar el paquete del tema en el servidor principal.</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/themechooser.cpp" line="774"/>
         <source>Installing %1 Theme</source>
-        <translation>Instalando Tema %1</translation>
+        <translation>Instalando el Tema %1</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/themechooser.cpp" line="780"/>
         <source>ERROR downloading theme package from master backend.</source>
-        <translation>ERROR descargando paquete de tema desde backend maestro.</translation>
+        <translation>ERROR al descargar el paquete del tema desde el servidor principal.</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/themechooser.cpp" line="810"/>
@@ -21294,12 +21301,12 @@ Directory From Storage Group?</source>
     <message>
         <location filename="../programs/mythfrontend/themechooser.cpp" line="817"/>
         <source>Error, unable to find current theme.</source>
-        <translation>Error, imposible encontrar el tema actual.</translation>
+        <translation>Error, no fue posible encontrar el tema actual.</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/themechooser.cpp" line="825"/>
         <source>%1 is not a user-installed theme and can not be deleted.</source>
-        <translation>%1 no es un tema instalado por el usuario y no puede borrarse.</translation>
+        <translation>%1 no es un tema instalado por el usuario y no puede eliminarse.</translation>
     </message>
 </context>
 <context>
@@ -21316,7 +21323,7 @@ Directory From Storage Group?</source>
     <message>
         <location filename="../themes/themestrings.h" line="517"/>
         <source>You Haven&apos;t Scheduled Any Programs To Be Recorded</source>
-        <translation>No tiene programada ninguna grabación</translation>
+        <translation>No Ha Programado Ninguna Grabación</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="2"/>
@@ -21331,7 +21338,7 @@ Directory From Storage Group?</source>
     <message>
         <location filename="../themes/themestrings.h" line="4"/>
         <source>3. Video sources</source>
-        <translation>3. Fuentes de Video</translation>
+        <translation>3. Fuentes de vídeo</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="5"/>
@@ -21356,7 +21363,7 @@ Directory From Storage Group?</source>
     <message>
         <location filename="../themes/themestrings.h" line="10"/>
         <source>Core MythTV behavior and system settings</source>
-        <translation type="unfinished">Comportamiento básico de MythTV y configuración del sistema</translation>
+        <translation>Comportamiento básico de MythTV y configuración del sistema</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="11"/>
@@ -21366,37 +21373,37 @@ Directory From Storage Group?</source>
     <message>
         <location filename="../themes/themestrings.h" line="17"/>
         <source>Screen Setup Wizards</source>
-        <translation type="unfinished">Asistente de Config. de Pantalla</translation>
+        <translation>Asistentes de Configuración de Pantalla</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="18"/>
         <source>Compensate for TVs with overscan</source>
-        <translation>Compensar TVs con overscan</translation>
+        <translation>Compensar TV con sobreexploración</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="25"/>
         <source>TV Settings</source>
-        <translation>Configuración TV</translation>
+        <translation>Configuración de TV</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="26"/>
         <source>Settings for TV recording and playback</source>
-        <translation>Configuración para la grabación y el visionado de la TV</translation>
+        <translation>Configuración de la grabación y reproducción de la TV</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="27"/>
         <source>Music Settings</source>
-        <translation type="unfinished"></translation>
+        <translation>Configuración de Música</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="28"/>
         <source>Configure playback and CD ripping</source>
-        <translation>Configurar reproducción y ripeado de CD</translation>
+        <translation>Configure la reproducción e importación de CD</translation>
     </message>
     <message>
         <location filename="../themes/themestrings.h" line="29"/>
         <source>Videos Settings</source>
-        <translation>Opciones para los videos</translation>
+        <translation>Configuración de Vídeos</translation>
     </message>
     <message>
         <source>Configure playback and DVD ripping</source>
